import { Injectable } from '@angular/core';
import { HttpClient, HttpParams } from '@angular/common/http';
import { Lehrling } from '../lehrling';
import { map, Observable } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class LehrlingService {

  public $url = "http://localhost/bildungdb/api/apprentice_list.php";
  constructor(private http: HttpClient) { }

  getLehrlinge() {
    return this.http.get<Lehrling[]>(this.$url);
  }

  findLehrling(
                id: number, filter = '', sortOrder='asc',
                pageNumber = 0, pageSize = 5): Observable<Lehrling[]> {

                  return this.http.get('/api/apprentice_list.php', { 
                    params: new HttpParams()
                      .set('apprenticeid', id.toString())
                      .set('filter', filter)
                      .set('sortOrder', sortOrder)
                      .set('pageNumber', pageNumber)
                      .set('pageSize', pageSize.toString())
                  }).pipe(
                      map(res => res["payload"])                  
                  );
                }
}
